AN_DESTROY(3)

NAME

an_destroy - destroy a socket handle

SYNOPSIS

#include <antinat.h>

int an_destroy(ANCONN s);

DESCRIPTION

The an_destroy(3) function is used fully clean up a connection handle when it has been finished with it. Any open connection should firstly be called with a call to an_close(3). Until an_destroy(3) is called, the closed handle can be reused for new connections; afterwards, all memory associated with the handle is discarded, and the handle will not be valid with any later call.

s is a socket previously created with an_new_connection(3).

RETURN VALUE

This call returns AN_ERROR_SUCCESS to indicate successful completion.

ERRORS

AN_ERROR_INVALIDARG
    The connection supplied is not a valid connection.

SEE ALSO

an_close(3),
    an_new_connection(3)

AUTHOR

Malcolm Smith <malxau@users.sourceforge.net>